/* styles.css */
html {
  height: 100%;
}

body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  /* display: flex; */
  justify-content: center;
  align-items: center;
  background-image: url("/Images/Background/Background_1.jpg");
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
}

h1 {
  text-align: center;
  margin-top: 10px;
  color: white;
  font-family: "Georgia", serif;
  margin-bottom: 0;
  font-size: 48px;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
}

.button-container {
  display: flex;
  justify-content: center;
  margin: 15px 0;
}

.button {
  transition: 0.15s;
  display: inline-block;
  background-color: #3f51b5;
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  margin: 0 10px;
  border-radius: 5px;
  font-weight: bold;
}

.button:hover {
  background-color: #2c3e50;
}

.blackboard {
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  padding: 20px;
  margin: 0 auto;
  max-width: 500px;
  text-align: center;
  border-radius: 5px;
  margin-bottom: 10px;
}

.blackboard h2 {
  margin-top: 0;
}

.blackboard p {
  margin-bottom: 0;
}

.blackboard ul {
  list-style-type: none;
  padding-left: 20px;
  margin-bottom: 10px;
}

.blackboard li {
  margin-bottom: 5px;
}

.centered-gif {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
}

/* DICE */
.dice-roller-container {
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  padding: 20px;
  margin: 0 auto;
  max-width: 500px;
  text-align: center;
  border-radius: 5px;
  margin-bottom: 10px;
}

.dice-roller-container input,
.dice-roller-container select {
  color: black;
  background-color: white;
  margin: 5px 0;
  padding: 8px;
  border-radius: 5px;
  border: none;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.3);
  width: 80px; 
  box-sizing: border-box;
  display: inline-block; 
}

.dice-roller-container button {
  transition: 0.15s;
  display: inline-block;
  background-color: #3f51b5;
  color: white;
  text-decoration: none;
  padding: 10px 20px;
  margin: 10px;
  border-radius: 5px;
  font-weight: bold;
  border: none;
}

.dice-roller-container button:hover {
  background-color: #2c3e50;
}

#roll-result, #roll-sum {
  display: none;
  width: 100%;
}